Feature: TEST of mailing Configuration service
  # TODO
  Scenario: ADD NEW CONFIG for ENTERPRISE
    When Je veux enregistrer une nouvelle configuration dont ID = 1
    Then voici les infos header=DEFAUL_HEARDER footer=DEFAULT_FOOTER outgoingMethod=method d_envoie fromEmail=my.email@test.com fromName=my_NAME
  Scenario: UPDATE CONFIGS
    When je veux mettre a jour ma configuration d'ID 5. Entreprise ID = 1
    Then modifier header par HEADER_MODIFYER
  Scenario: Fetch for Enterprise
    # When config is existing :1, not exist :2
    When je veux la configuration de l'entreprise d'ID 1
    Then elle doit être non null et doit avoir avoir le fromEmail

    When je veux la configuration de l'entreprise d'ID 2 _
    Then elle doit léver une exception